Retrieves the unit of equipment with the given Samsara ID.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/equipment/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "112",
"assetSerial": "1FUJA6BD31LJ09646",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"installedGateway": {
"model": "Ag26",
"serial": "<string>"
},
"name": "Crane A7",
"notes": "These are notes about this given equipment.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Samsara ID of the Equipment.
The specified equipment object
A response containing an equipment object.
An equipment object.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/equipment/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "112",
"assetSerial": "1FUJA6BD31LJ09646",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"installedGateway": {
"model": "Ag26",
"serial": "<string>"
},
"name": "Crane A7",
"notes": "These are notes about this given equipment.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}